# digital_ocean_region_info – Gather information about DigitalOcean regions

New in version 2.6.

- Synopsis
- Requirements
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- This module can be used to gather information about regions.
- This module was called `digital_ocean_region_facts` before Ansible 2.9. The usage did not change.

Aliases: digital_ocean_region_facts

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.6

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
oauth_token string |  | DigitalOcean OAuth token. There are several other environment variables which can be used to provide this value. i.e., - 'DO_API_TOKEN', 'DO_API_KEY', 'DO_OAUTH_TOKEN' and 'OAUTH_TOKEN' aliases: api_token
timeout integer | Default: 30 | The timeout in seconds used for polling DigitalOcean's API.

validate_certs
boolean

Choices:
- no
- yes ←

If set to `no`, the SSL certificates will not be validated.
This should only set to `no` used on personally controlled sites using self-signed certificates.

## Examples

    - name: Gather information about all regions
      digital_ocean_region_info:
        oauth_token: "{{ oauth_token }}"

    - name: Get Name of region where slug is known
      digital_ocean_region_info:
        oauth_token: "{{ oauth_token }}"
      register: resp_out
    - debug: var=resp_out
    - set_fact:
        region_slug: "{{ item.name }}"
      loop: "{{ resp_out.data|json_query(name) }}"
      vars:
        name: "[?slug==`nyc1`]"
    - debug: var=region_slug

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---

data
list

success

DigitalOcean regions information
Sample:
[{'available': True, 'features': ['private_networking', 'backups', 'ipv6', 'metadata', 'install_agent', 'storage'], 'name': 'New York 1', 'sizes': ['512mb', 's-1vcpu-1gb', '1gb', 's-3vcpu-1gb', 's-1vcpu-2gb', 's-2vcpu-2gb', '2gb', 's-1vcpu-3gb', 's-2vcpu-4gb', '4gb', 'c-2', 'm-1vcpu-8gb', '8gb', 's-4vcpu-8gb', 's-6vcpu-16gb', '16gb'], 'slug': 'nyc1'}]

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Abhijeet Kasurde (@Akasurde)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.